package me.mrletsplay.nojs._test;

import java.util.Date;
import java.util.List;

import me.mrletsplay.nojs.action.Action;
import me.mrletsplay.nojs.component.Component;
import me.mrletsplay.nojs.component.impl.Button;
import me.mrletsplay.nojs.component.impl.Form;
import me.mrletsplay.nojs.component.impl.Group;
import me.mrletsplay.nojs.component.impl.Text;
import me.mrletsplay.nojs.page.Page;
import me.mrletsplay.nojs.page.layout.GridLayout;
import me.mrletsplay.nojs.page.layout.InsetLayout;
import me.mrletsplay.nojs.page.layout.Layout;

public class DynPage implements Page {

	@Override
	public List<Component> getComponents() {
		return List.of(
			new Text().text(new Date().toString()),
			new Form()
				.action(Action.empty())
				.layout(new InsetLayout(GridLayout.ofColumns(1), "100px"))
				.add(new Button().text("Refresh")),
			new Group()
				.add(new Text().text("Your name is"))
		);
	}

	@Override
	public Layout getLayout() {
		return GridLayout.ofColumns(1);
	}

}
