package me.mrletsplay.nojs.page.layout;

import me.mrletsplay.simplehttpserver.dom.html.HtmlElement;

public class InsetLayout implements Layout {

	private Layout layout;
	private String inset;

	public InsetLayout(Layout layout, String inset) {
		this.layout = layout;
		this.inset = inset == null ? "0" : inset;
	}

	public void apply(HtmlElement html) {
		if(layout != null) layout.apply(html);
		html.appendAttribute("style", "margin:" + inset + ";");
	}

}
