package me.mrletsplay.nojs._test;

import me.mrletsplay.nojs.action.Action;
import me.mrletsplay.nojs.action.ActionEvent;
import me.mrletsplay.nojs.action.ActionHandler;
import me.mrletsplay.nojs.component.impl.Button;
import me.mrletsplay.nojs.component.impl.Form;
import me.mrletsplay.nojs.component.impl.Link;
import me.mrletsplay.nojs.component.impl.TextInput;
import me.mrletsplay.nojs.page.StaticPage;
import me.mrletsplay.nojs.page.layout.GridLayout;

public class TestPage extends StaticPage {

	public TestPage() {
		add(new Form()
			.add(new TextInput("beans"))
			.add(new Button())
			.add(new Link().href("/test").text("Link to other page"))
			.action(new Action("submit"))
			.layout(GridLayout.ofSize(2, 2))
		);
	}

	@ActionHandler("submit")
	public void onSubmit(ActionEvent event) {
		System.out.println("Got event " + event.getAction());
	}

}
